import Panel from "../../Module/Panel";
import { _decorator, Button, Label, Node, Sprite, } from "cc";
import store from "../store/store";
import { observer, render } from "../store/decorators";

const { ccclass, property } = _decorator;

@observer
@ccclass('FirstSkinPanel')
export default class FirstSkinPanel extends Panel {

  static bundle = "FirstSkinPanel";
  static skin = "FirstSkinPanel";

  @property(Node) closeBtn: Node = null;

  onLoad() {
    this.closeBtn.on(Button.EventType.CLICK, this.clickClose);
  }

  async start() {

  }

  clickClose = () => {
    this.hidePanel();
  }
}
